From 110df7dc214a1a92c930434be90150cba250b38f Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 08 2020 20:09:56 +0000
Subject: [PATCH 576/2232] Defer to link-cplusplus crate for linking a standard library


---

diff --git a/build.rs b/build.rs
index 05d7880..16837f3 100644
--- a/build.rs
+++ b/build.rs
@@ -2,6 +2,7 @@ fn main() {
     cc::Build::new()
         .file("src/cxx.cc")
         .cpp(true)
+        .cpp_link_stdlib(None) // linked via link-cplusplus crate
         .flag("-std=c++11")
         .compile("cxxbridge03");
     println!("cargo:rerun-if-changed=src/cxx.cc");
diff --git a/demo-rs/build.rs b/demo-rs/build.rs
index e435019..edbb281 100644
--- a/demo-rs/build.rs
+++ b/demo-rs/build.rs
@@ -1,7 +1,6 @@
 fn main() {
     cxx_build::bridge("src/main.rs")
         .file("../demo-cxx/demo.cc")
-        .cpp(true)
         .flag("-std=c++11")
         .compile("cxxbridge-demo");
 
diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 9e8475a..b33e192 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -88,12 +88,16 @@ pub fn bridge(rust_source_file: impl AsRef<Path>) -> cc::Build {
 /// ```
 pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) -> cc::Build {
     let mut build = paths::cc_build();
+    build.cpp(true);
+    build.cpp_link_stdlib(None); // linked via link-cplusplus crate
+
     for path in rust_source_files {
         if let Err(err) = try_generate_bridge(&mut build, path.as_ref()) {
             let _ = writeln!(io::stderr(), "\n\ncxxbridge error: {:?}\n\n", anyhow!(err));
             process::exit(1);
         }
     }
+
     build
 }
 

